<template>
    <v-layout align-start justify-center row fill-height wrap>
        <v-flex>
            <v-btn block @click="setBack">
                <v-icon right dark>arrow_back</v-icon> Regresar
            </v-btn>

            <task-header v-bind:TaskDetail="getTaskDetail" />

            <v-item-group>
                 <v-btn block color="primary" @click.stop="dialog = true">Agregar</v-btn>
            </v-item-group>
            <v-divider></v-divider>
            <task-list v-bind:taskData="getTaskDetail"></task-list>
            <task-dialog @close-dialog="dialog = false" v-bind:dialog.sync="dialog" />
        </v-flex>
    </v-layout>
</template>

<script>
import {
    mapGetters
} from 'vuex'
import TaskHeader from '../../components/TaskeHeader'
import TaskList from '../../components/TaskList'
import TaskDialog from '../../components/taskDialog/TaskDialogClinicaInterna'

export default {
    name: "TaskClinicaInterna",
    data() {
        return {
            dialog: false
        }
    },
    components: {
        TaskHeader,
        TaskList,
        TaskDialog,
    },
    mounted() {
        let self = this;
        self.setTaskDetail(self.$route.params.id)
    },
    methods: {
        setTaskDetail(id) {
            this.$store.dispatch('setTaskClinicaInternasDetail', id).then((res) => {
                console.log(res);
            });
        },
        setBack() {
            this.$router.push('/dashboard');
        },
    },
    computed: {
        ...mapGetters([
            'getTaskDetail'
        ]),
    },
}
</script>

<style scoped>

</style>
